Skip to content

List approved reviews of a product

GET
/cms/product/{id}/reviews
id
required
integer
page
integer
default: 1

Also accepted as /page/{page}/limit/{limit}

limit
integer
default: 10 >= 1 <= 100

Approved reviews, newest first

object
rating
number format: float
nullable
rating_count
integer
data
Array<object>
Product Review

A customer review of a product. Only approved reviews are listed publicly.

object
id

Review ID

integer format: int64
product_id

Product ID

integer format: int64
author_name

Public name of the reviewer (nickname, display name, or first and last name)

string
rating

Rating

integer
>= 1 <= 5
body

Review text (plain text)

string
status

Moderation status

string
Allowed values: pending approved declined
timestamp

Submission date

string format: date-time
last_edited

Last edit by the customer

string format: date-time
nullable

Invalid limit

Product not found or not available